SDL_AudioSpec Struct Reference

`#include <SDL_audio.h>`

## Data Fields

SDL_AudioFormat | format
int | channels
int | freq

## Detailed Description

Format specifier for audio data.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_AudioFormat

Definition at line 405 of file SDL_audio.h.

## Field Documentation

## channels

int SDL_AudioSpec::channels

Number of channels: 1 mono, 2 stereo, etc

Definition at line 408 of file SDL_audio.h.

## format

SDL_AudioFormat SDL_AudioSpec::format

Audio data format

Definition at line 407 of file SDL_audio.h.

## freq

int SDL_AudioSpec::freq

sample rate: sample frames per second

Definition at line 409 of file SDL_audio.h.

The documentation for this struct was generated from the following file:

- SDL_audio.h